Package org.zkoss.web.portlet

## Class ResourceHttpServletRequest

- java.lang.Object
- - org.zkoss.web.portlet.ResourceHttpServletRequest

- All Implemented Interfaces:
    `javax.servlet.http.HttpServletRequest`, `javax.servlet.ServletRequest`

      public class ResourceHttpServletRequest
      extends java.lang.Object
      implements javax.servlet.http.HttpServletRequest

  A facade of ResourceRequest that implements HttpServletRequest.
  Since:
    6.5.2
  Author:
    Vincent

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `authenticate​(javax.servlet.http.HttpServletResponse httpServletResponse)` |
    `java.lang.String` | `changeSessionId()` |
    `boolean` | `equals​(java.lang.Object o)` |
    `javax.servlet.AsyncContext` | `getAsyncContext()` |
    `java.lang.Object` | `getAttribute​(java.lang.String name)` |
    `java.util.Enumeration` | `getAttributeNames()` |
    `java.lang.String` | `getAuthType()` |
    `java.lang.String` | `getCharacterEncoding()` |
    `int` | `getContentLength()` |
    `long` | `getContentLengthLong()` |
    `java.lang.String` | `getContentType()` |
    `java.lang.String` | `getContextPath()` |
    `javax.servlet.http.Cookie[]` | `getCookies()` |
    `long` | `getDateHeader​(java.lang.String name)` |
    `javax.servlet.DispatcherType` | `getDispatcherType()` |
    `java.lang.String` | `getHeader​(java.lang.String name)` |
    `java.util.Enumeration` | `getHeaderNames()` |
    `java.util.Enumeration` | `getHeaders​(java.lang.String name)` |
    `protected javax.servlet.http.HttpServletRequest` | `getHttpServletRequest​(javax.portlet.ResourceRequest req)` | Returns the HTTP servlet request associated with the render request, or null if not found.
    `javax.servlet.ServletInputStream` | `getInputStream()` |
    `static javax.servlet.http.HttpServletRequest` | `getInstance​(javax.portlet.ResourceRequest req)` |
    `int` | `getIntHeader​(java.lang.String name)` |
    `java.lang.String` | `getLocalAddr()` |
    `java.util.Locale` | `getLocale()` |
    `java.util.Enumeration` | `getLocales()` |
    `java.lang.String` | `getLocalName()` |
    `int` | `getLocalPort()` |
    `java.lang.String` | `getMethod()` |
    `java.lang.String` | `getParameter​(java.lang.String name)` |
    `java.util.Map` | `getParameterMap()` |
    `java.util.Enumeration` | `getParameterNames()` |
    `java.lang.String[]` | `getParameterValues​(java.lang.String name)` |
    `javax.servlet.http.Part` | `getPart​(java.lang.String s)` |
    `java.util.Collection<javax.servlet.http.Part>` | `getParts()` |
    `java.lang.String` | `getPathInfo()` |
    `java.lang.String` | `getPathTranslated()` |
    `java.lang.String` | `getProtocol()` |
    `java.lang.String` | `getQueryString()` |
    `java.io.BufferedReader` | `getReader()` |
    `java.lang.String` | `getRealPath​(java.lang.String path)` | Deprecated.
    `java.lang.String` | `getRemoteAddr()` |
    `java.lang.String` | `getRemoteHost()` |
    `int` | `getRemotePort()` |
    `java.lang.String` | `getRemoteUser()` |
    `javax.servlet.RequestDispatcher` | `getRequestDispatcher​(java.lang.String path)` |
    `java.lang.String` | `getRequestedSessionId()` |
    `java.lang.String` | `getRequestURI()` |
    `java.lang.StringBuffer` | `getRequestURL()` |
    `javax.portlet.ResourceRequest` | `getResourceRequest()` |
    `java.lang.String` | `getScheme()` |
    `java.lang.String` | `getServerName()` |
    `int` | `getServerPort()` |
    `javax.servlet.ServletContext` | `getServletContext()` |
    `java.lang.String` | `getServletPath()` |
    `javax.servlet.http.HttpSession` | `getSession()` |
    `javax.servlet.http.HttpSession` | `getSession​(boolean create)` |
    `java.security.Principal` | `getUserPrincipal()` |
    `int` | `hashCode()` |
    `boolean` | `isAsyncStarted()` |
    `boolean` | `isAsyncSupported()` |
    `boolean` | `isRequestedSessionIdFromCookie()` |
    `boolean` | `isRequestedSessionIdFromUrl()` | Deprecated.
    `boolean` | `isRequestedSessionIdFromURL()` |
    `boolean` | `isRequestedSessionIdValid()` |
    `boolean` | `isSecure()` |
    `boolean` | `isUserInRole​(java.lang.String role)` |
    `void` | `login​(java.lang.String s, java.lang.String s1)` |
    `void` | `logout()` |
    `void` | `removeAttribute​(java.lang.String name)` |
    `void` | `setAttribute​(java.lang.String name, java.lang.Object o)` |
    `void` | `setCharacterEncoding​(java.lang.String enc)` |
    `javax.servlet.AsyncContext` | `startAsync()` |
    `javax.servlet.AsyncContext` | `startAsync​(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)` |
    `<T extends javax.servlet.http.HttpUpgradeHandler> T` | `upgrade​(java.lang.Class<T> aClass)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static javax.servlet.http.HttpServletRequest getInstance​(javax.portlet.ResourceRequest req)

    - #### getHttpServletRequest

          protected javax.servlet.http.HttpServletRequest getHttpServletRequest​(javax.portlet.ResourceRequest req)

      Returns the HTTP servlet request associated with the render request, or null if not found.

    - #### getAttribute

          public java.lang.Object getAttribute​(java.lang.String name)

      Specified by:
        `getAttribute` in interface `javax.servlet.ServletRequest`

    - #### getAttributeNames

          public java.util.Enumeration getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `javax.servlet.ServletRequest`

    - #### getResourceRequest

          public javax.portlet.ResourceRequest getResourceRequest()

    - #### getCharacterEncoding

          public java.lang.String getCharacterEncoding()

      Specified by:
        `getCharacterEncoding` in interface `javax.servlet.ServletRequest`

    - #### getContentLength

          public int getContentLength()

      Specified by:
        `getContentLength` in interface `javax.servlet.ServletRequest`

    - #### getContentType

          public java.lang.String getContentType()

      Specified by:
        `getContentType` in interface `javax.servlet.ServletRequest`

    - #### getInputStream

          public javax.servlet.ServletInputStream getInputStream()

      Specified by:
        `getInputStream` in interface `javax.servlet.ServletRequest`

    - #### getLocalAddr

          public java.lang.String getLocalAddr()

      Specified by:
        `getLocalAddr` in interface `javax.servlet.ServletRequest`

    - #### getLocale

          public java.util.Locale getLocale()

      Specified by:
        `getLocale` in interface `javax.servlet.ServletRequest`

    - #### getLocales

          public java.util.Enumeration getLocales()

      Specified by:
        `getLocales` in interface `javax.servlet.ServletRequest`

    - #### getLocalName

          public java.lang.String getLocalName()

      Specified by:
        `getLocalName` in interface `javax.servlet.ServletRequest`

    - #### getLocalPort

          public int getLocalPort()

      Specified by:
        `getLocalPort` in interface `javax.servlet.ServletRequest`

    - #### getParameter

          public java.lang.String getParameter​(java.lang.String name)

      Specified by:
        `getParameter` in interface `javax.servlet.ServletRequest`

    - #### getParameterMap

          public java.util.Map getParameterMap()

      Specified by:
        `getParameterMap` in interface `javax.servlet.ServletRequest`

    - #### getParameterNames

          public java.util.Enumeration getParameterNames()

      Specified by:
        `getParameterNames` in interface `javax.servlet.ServletRequest`

    - #### getParameterValues

          public java.lang.String[] getParameterValues​(java.lang.String name)

      Specified by:
        `getParameterValues` in interface `javax.servlet.ServletRequest`

    - #### getProtocol

          public java.lang.String getProtocol()

      Specified by:
        `getProtocol` in interface `javax.servlet.ServletRequest`

    - #### getReader

          public java.io.BufferedReader getReader()

      Specified by:
        `getReader` in interface `javax.servlet.ServletRequest`

    - #### getRealPath

          public java.lang.String getRealPath​(java.lang.String path)

      Deprecated.
      Specified by:
        `getRealPath` in interface `javax.servlet.ServletRequest`

    - #### getRemoteAddr

          public java.lang.String getRemoteAddr()

      Specified by:
        `getRemoteAddr` in interface `javax.servlet.ServletRequest`

    - #### getRemoteHost

          public java.lang.String getRemoteHost()

      Specified by:
        `getRemoteHost` in interface `javax.servlet.ServletRequest`

    - #### getRemotePort

          public int getRemotePort()

      Specified by:
        `getRemotePort` in interface `javax.servlet.ServletRequest`

    - #### getRequestDispatcher

          public javax.servlet.RequestDispatcher getRequestDispatcher​(java.lang.String path)

      Specified by:
        `getRequestDispatcher` in interface `javax.servlet.ServletRequest`

    - #### getScheme

          public java.lang.String getScheme()

      Specified by:
        `getScheme` in interface `javax.servlet.ServletRequest`

    - #### getServerName

          public java.lang.String getServerName()

      Specified by:
        `getServerName` in interface `javax.servlet.ServletRequest`

    - #### getServerPort

          public int getServerPort()

      Specified by:
        `getServerPort` in interface `javax.servlet.ServletRequest`

    - #### isSecure

          public boolean isSecure()

      Specified by:
        `isSecure` in interface `javax.servlet.ServletRequest`

    - #### removeAttribute

          public void removeAttribute​(java.lang.String name)

      Specified by:
        `removeAttribute` in interface `javax.servlet.ServletRequest`

    - #### setAttribute

          public void setAttribute​(java.lang.String name,
                                   java.lang.Object o)

      Specified by:
        `setAttribute` in interface `javax.servlet.ServletRequest`

    - #### setCharacterEncoding

          public void setCharacterEncoding​(java.lang.String enc)
                                    throws java.io.UnsupportedEncodingException

      Specified by:
        `setCharacterEncoding` in interface `javax.servlet.ServletRequest`
      Throws:
        `java.io.UnsupportedEncodingException`

    - #### getAuthType

          public java.lang.String getAuthType()

      Specified by:
        `getAuthType` in interface `javax.servlet.http.HttpServletRequest`

    - #### getContextPath

          public java.lang.String getContextPath()

      Specified by:
        `getContextPath` in interface `javax.servlet.http.HttpServletRequest`

    - #### getCookies

          public javax.servlet.http.Cookie[] getCookies()

      Specified by:
        `getCookies` in interface `javax.servlet.http.HttpServletRequest`

    - #### getDateHeader

          public long getDateHeader​(java.lang.String name)

      Specified by:
        `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeader

          public java.lang.String getHeader​(java.lang.String name)

      Specified by:
        `getHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeaderNames

          public java.util.Enumeration getHeaderNames()

      Specified by:
        `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeaders

          public java.util.Enumeration getHeaders​(java.lang.String name)

      Specified by:
        `getHeaders` in interface `javax.servlet.http.HttpServletRequest`

    - #### getIntHeader

          public int getIntHeader​(java.lang.String name)

      Specified by:
        `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getMethod

          public java.lang.String getMethod()

      Specified by:
        `getMethod` in interface `javax.servlet.http.HttpServletRequest`

    - #### getPathInfo

          public java.lang.String getPathInfo()

      Specified by:
        `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`

    - #### getPathTranslated

          public java.lang.String getPathTranslated()

      Specified by:
        `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`

    - #### getQueryString

          public java.lang.String getQueryString()

      Specified by:
        `getQueryString` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRemoteUser

          public java.lang.String getRemoteUser()

      Specified by:
        `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestedSessionId

          public java.lang.String getRequestedSessionId()

      Specified by:
        `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestURI

          public java.lang.String getRequestURI()

      Specified by:
        `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestURL

          public java.lang.StringBuffer getRequestURL()

      Specified by:
        `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`

    - #### getServletPath

          public java.lang.String getServletPath()

      Specified by:
        `getServletPath` in interface `javax.servlet.http.HttpServletRequest`

    - #### getSession

          public javax.servlet.http.HttpSession getSession()

      Specified by:
        `getSession` in interface `javax.servlet.http.HttpServletRequest`

    - #### getSession

          public javax.servlet.http.HttpSession getSession​(boolean create)

      Specified by:
        `getSession` in interface `javax.servlet.http.HttpServletRequest`

    - #### getUserPrincipal

          public java.security.Principal getUserPrincipal()

      Specified by:
        `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromCookie

          public boolean isRequestedSessionIdFromCookie()

      Specified by:
        `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromUrl

          public boolean isRequestedSessionIdFromUrl()

      Deprecated.
      Specified by:
        `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromURL

          public boolean isRequestedSessionIdFromURL()

      Specified by:
        `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdValid

          public boolean isRequestedSessionIdValid()

      Specified by:
        `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`

    - #### isUserInRole

          public boolean isUserInRole​(java.lang.String role)

      Specified by:
        `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`

    - #### changeSessionId

          public java.lang.String changeSessionId()

      Specified by:
        `changeSessionId` in interface `javax.servlet.http.HttpServletRequest`

    - #### authenticate

          public boolean authenticate​(javax.servlet.http.HttpServletResponse httpServletResponse)
                               throws java.io.IOException,
                                      javax.servlet.ServletException

      Specified by:
        `authenticate` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### login

          public void login​(java.lang.String s,
                            java.lang.String s1)
                     throws javax.servlet.ServletException

      Specified by:
        `login` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `javax.servlet.ServletException`

    - #### logout

          public void logout()
                      throws javax.servlet.ServletException

      Specified by:
        `logout` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `javax.servlet.ServletException`

    - #### getParts

          public java.util.Collection<javax.servlet.http.Part> getParts()
                                                                 throws java.io.IOException,
                                                                        javax.servlet.ServletException

      Specified by:
        `getParts` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### getPart

          public javax.servlet.http.Part getPart​(java.lang.String s)
                                          throws java.io.IOException,
                                                 javax.servlet.ServletException

      Specified by:
        `getPart` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### upgrade

          public <T extends javax.servlet.http.HttpUpgradeHandler> T upgrade​(java.lang.Class<T> aClass)
                                                                      throws java.io.IOException,
                                                                             javax.servlet.ServletException

      Specified by:
        `upgrade` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### getContentLengthLong

          public long getContentLengthLong()

      Specified by:
        `getContentLengthLong` in interface `javax.servlet.ServletRequest`

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

      Specified by:
        `getServletContext` in interface `javax.servlet.ServletRequest`

    - #### startAsync

          public javax.servlet.AsyncContext startAsync()
                                                throws java.lang.IllegalStateException

      Specified by:
        `startAsync` in interface `javax.servlet.ServletRequest`
      Throws:
        `java.lang.IllegalStateException`

    - #### startAsync

          public javax.servlet.AsyncContext startAsync​(javax.servlet.ServletRequest servletRequest,
                                                       javax.servlet.ServletResponse servletResponse)
                                                throws java.lang.IllegalStateException

      Specified by:
        `startAsync` in interface `javax.servlet.ServletRequest`
      Throws:
        `java.lang.IllegalStateException`

    - #### isAsyncStarted

          public boolean isAsyncStarted()

      Specified by:
        `isAsyncStarted` in interface `javax.servlet.ServletRequest`

    - #### isAsyncSupported

          public boolean isAsyncSupported()

      Specified by:
        `isAsyncSupported` in interface `javax.servlet.ServletRequest`

    - #### getAsyncContext

          public javax.servlet.AsyncContext getAsyncContext()

      Specified by:
        `getAsyncContext` in interface `javax.servlet.ServletRequest`

    - #### getDispatcherType

          public javax.servlet.DispatcherType getDispatcherType()

      Specified by:
        `getDispatcherType` in interface `javax.servlet.ServletRequest`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`